decodeDataNamesArgo {oce} | R Documentation

## Convert Data Names From the Argo Convention to the Oce Convention

### Description

This function is used by `read.argo` to convert Argo-convention data names to oce-convention names. The inference of names was done by case-by-case inspection of some files. Eventually, it would make sense to handle all the documented names listed in tables 2.2.2 and 2.2.3 of [1].

### Usage

    decodeDataNamesArgo(names)

### Arguments

`names` | vector of character strings containing names in the Argo convention.

### Details

The names are converted with `gsub`, ignoring the case of the input strings. The procedure is to first handle the items listed in the following table. After that, the qualifiers `_ADJUSTED`, `_ERROR` and `_QC`, are translated to `Adjusted`, `Error`, and `QC`, respectively.

- `BBP700` becomes `bbp700`

- `BETA_BACKSCATTERING700` becomes `betaBackscattering700`

- `BPHASE_OXY` becomes `bphaseOxygen`

- `CHLA` becomes `chlorophyllA`

- `CYCLE_NUMBER` becomes `cycleNumber`

- `DATA_CENTRE` becomes `dataCentre` (note the spelling)

- `DATA_MODE` becomes `dataMode`

- `DATA_STATE_INDICATOR` becomes `dataStateIndicator`

- `DC_REFERENCE` becomes `DCReference`

- `DIRECTION` becomes `direction` (either `A` for ascending or `D` for descending)

- `FIRMWARE_VERSION` becomes `firmwareVersion`

- `INST_REFERENCE` becomes `instReference`

- `JULD` becomes `juld` (and used to compute `time`)

- `JULD_QC_LOCATION` becomes `juldQCLocation`

- `LATITUDE` becomes `latitude`

- `LONGITUDE` becomes `longitude`

- `PI_NAME` becomes `PIName`

- `PLATFORM_NUMBER` becomes `id`

- `POSITION_ACCURACY` becomes `positionAccuracy`

- `POSITIONING_SYSTEM` becomes `positioningSystem`

- `PROFILE` becomes `profile`

- `PROJECT_NAME` becomes `projectName`

- `STATION_PARAMETERS` becomes `stationParameters`

- `UV_INTENSITY` becomes `UVIntensity`

- `UV_INTENSITY_DARK_NITRATE` becomes `UVIntensityDarkNitrate`

- `UV_INTENSITY_NITRATE` becomes `UVIntensityNitrate`

- `WMO_INST_TYPE` becomes `WMOInstType`

### Value

A character vector of the same length as `names`, but with replacements having been made for all known quantities.

### References

1. Argo User's Manual Version 3.2, Dec 29th, 2015, available at http://archimer.ifremer.fr/doc/00187/29825/40575.pdf (link checked 17 Nov 2016 several times in the months before, but failed 18 Nov 2016). Tables 2.2.2 and 2.2.3 of this document lists the codes used in Argo netCDF files.

[Package oce version 0.9-20 Index]